<!DOCTYPE html>
<html lang="ko">

<head>
    <style>
        li {
            float: left; /* 수평나열 처리 */
            list-style: none; /* 기호제거 */
            padding: 20px; /* 안쪽여백 */
        }
        /* 각각 배경색 처리*/
        li:nth-child(1) {  background-color: red; }  /* li 태그 중에서 첫번째 요소를 선택 */
        li:nth-child(2) { background-color: orange; }
        li:nth-child(3) { background-color: yellow; }
        li:nth-child(4) { background-color: green; }
        li:nth-child(5) { background-color: blue; }
        /* 첫번째와 마지막 양쪽 요소에 테두리 처리 */
        li:first-child { border: 2px solid; } /* li 태그 중에서 첫번째 요소를 선택 */       
        li:last-child { border: 2px solid; } /* li 태그 중에서 마지막 요소를 선택 */ 
    </style>
</head>

<body>
    <!-- child방식은 부모자식관계에 있는 자손 태그에 주로 사용 -->
    <ul> <!-- 부모 -->
        <li>빨강</li> <!-- 자식 -->
        <li>주황</li>
        <li>노랑</li>
        <li>녹색</li>
        <li>파랑</li>
    </ul>
</body>

</html>